Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 129195

Summary: ifup-ppp does not pass "boot" to ppp-watch when it should
Product: [Fedora] Fedora Reporter: Chris Leighton <cleighto>
Component: initscriptsAssignee: Bill Nottingham <notting>
Status: CLOSED RAWHIDE QA Contact: Brock Organ <borgan>
Severity: medium Docs Contact:
Priority: medium    
Version: 4CC: mattdm, mitr, riel, rvokal, rwg
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: 8.32-1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-04-10 23:01:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 150221    
Attachments:
Description Flags
Pass $2 == "boot" correctly none

Description Chris Leighton 2004-08-04 22:56:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 95)

Description of problem:
ppp-watch is not passed "boot" arg. by ifup-ppp because the script 
passes its $2 (sometimes "boot") to ppp-watch, but a "shift" has 
moved "boot" into $1 

Version-Release number of selected component (if applicable):
initscripts-7.55.1-1

How reproducible:
Always

Steps to Reproduce:
1. configure a ppp connection
2.
3.
    

Actual Results:  does not start "ppp-watch ppp0 boot" but as "ppp-
watch ppp0" so start is delayed while connectiojn is established

Expected Results:  that ppp-watch is passed "boot"

Additional info:

Comment 1 Rik van Riel 2004-09-30 16:11:21 UTC
Chris, do you happen to have a fix for this problem ?

Comment 2 Matthew Miller 2005-04-26 16:09:39 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 3 Chris Leighton 2005-04-26 22:16:30 UTC
The problem as described is still an issue in FC3 therefore please leave as 
outstanding against FC3 and possibly FC4.

Comment 4 Miloslav Trmač 2006-03-01 00:50:39 UTC
Created attachment 125434 [details]
Pass $2 == "boot" correctly

Looks obvious enough, but I have no way to test it right now.

Comment 5 Richard Godbee 2006-03-11 05:42:26 UTC
I ran into this bug earlier today -- a machine ~50 miles away hung on boot while trying to bring up ppp0 
because its PPP peer was powered off.  BOOTTIMEOUT was ignored since ppp-watch didn't think the 
machine was in the process of booting.

I created a patch before discovering this bug report, and my patch is identical to Miloslav Trmac's patch 
(attachment 125434 [details]).  Although this bug is filed under the "Fedora Core" product, please note that the 
bug is also present in RHEL.

Comment 6 Miloslav Trmač 2006-04-10 23:01:29 UTC
Fixed in rawhide initscripts-8.32-1.  Thanks for your report.